<div class="dash-top">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <h4 *ngIf="acceptedJobList.length || hiredJobList.length" class="bldr">Status</h4>
        <h4 *ngIf="!acceptedJobList.length && !hiredJobList.length"> No Data Found</h4>

        <!-- <div class="row">
          <div class="col-6">$9 p/hr</div>
          <div class="col-6 text-right">Permanent / Temporary</div>
        </div> -->
      </div>
    </div>
  </div>
</div>
<div class="card-slider-outer">
  <div class="card-slider">
    <owl-carousel-o [options]="customOptions">

      <ng-template carouselSlide *ngFor="let offersAccepted of acceptedJobList">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <div class="card-slider-inr">
                  <div class="row">
                      <div class="col-6 text-left">£{{offersAccepted.ratePerHour}} p/{{offersAccepted.payType?.slice(0,1) | lowercase }}</div>
                      <div class="col-6 text-right">  {{offersAccepted.jobType | titlecase}} </div>
                    </div>
                <h3 class="bldr">Accepted</h3>
                <div class="card-avatar"><img src="assets/images/card-avatar.png"></div>
                <h3>{{offersAccepted.industryName}} - {{offersAccepted.jobRoleName}} </h3>
                <!-- <h3> ? Start Date - End Date</h3> -->
                <p>{{offersAccepted.description}}</p>
                <div class="shft-job">
                  <div class="row">
                    <div class="col-6 text-left">No. of Staff: {{offersAccepted.noOfStuff}}</div>
                    <div class="col-6 text-right">{{offersAccepted.locationName}}</div>
                  </div>
                </div>
                <div class="btn-set">
                  <a href="javascript:void(0);" (click)="declineJob(offersAccepted.employerId , offersAccepted.jobId , offersAccepted.jobRoleId)" class="btn border">Decline</a>
                  <a (click)="viewJob(offersAccepted.employerId , offersAccepted.jobId , offersAccepted.jobRoleId)" class="btn border">View Details</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-template>

      <ng-template carouselSlide *ngFor="let hired of hiredJobList;let i = index">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <div class="card-slider-inr">
                  <div class="row">
                      <div class="col-6 text-left">${{hired?.ratePerHour}} p/{{hired.payType?.slice(0,1) | lowercase }}</div>
                      <div class="col-6 text-right"> {{hired.jobType | titlecase}} </div>
                    </div>
                <h3 class="bldr">Hired</h3>
                <div class="card-avatar"><img src="assets/images/card-avatar.png"></div>
                <h3>{{hired.industryName}} - {{hired.jobRoleName}} </h3>
                <!-- <h3> ? Start Date - End Date</h3> -->
                <p>{{hired.description}}</p>
                <div class="shft-job">
                  <div class="row">
                    <!-- <div class="col-6 text-left">No. of Staff: {{hired.noOfStuff}}</div> -->
                    <div class="col-12 text-right">{{hired.locationName}}</div>
                  </div>
                </div>
                <div class="btn-set">
                  <!-- <a href="javascript:void(0);" (click)="rejectJob(hired.employerId , hired.jobId , hired.jobRoleId)" class="btn border">Reject</a> -->
                  <a (click)="viewJob(hired.employerId , hired.jobId , hired.jobRoleId)" class="btn border">View Details</a>
                  <a class="btn border" (click)="cancelJob(hired.jobId , hired.jobRoleId,i)">Cancel</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-template>

      <!-- <ng-template carouselSlide>
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <div class="card-slider-inr">
                <h3>Hired</h3>
                <div class="card-avatar"><img src="assets/images/card-avatar.png"></div>
                <h3>Hotel Attendent</h3>
                <h3>Start Date - End Date</h3>
                <h4>Shift Earnings: $300</h4>
                <div class="shft-job">
                  <div class="row">
                    <div class="col-6 text-left">No. of Shifts</div>
                    <div class="col-6 text-right">Job Location</div>
                  </div>
                </div>
                <div class="btn-set">
                  <a href="#" class="btn border">Decline</a>
                  <a [routerLink]="['/candidate/job/job-details/job-info']" class="btn border">View Details</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-template> -->
    </owl-carousel-o>
  </div>
</div>